Content-type: text/html; charset=UTF-8

# X2GOCLEANSESSIONS

Section: X2Go Server Tool (8)
Updated: 2026-01-29
Index Return to Main Contents

## NAME

x2gocleansessions - X2Go Server Cleanup Daemon

## SYNOPSIS

x2gocleansessions --help|-h|-?
x2gocleansessions --man
x2gocleansessions [--debug|-d]
x2gocleansessions [--nofork|-d]

## DESCRIPTION

x2gocleansessions is run as a service on X2Go servers to handle the cleanup of stale sessions and synchronizing database state with on-disk state.

x2gocleansessions must be run (as a service) with root privileges.

## OPTIONS

--help|-h|-?
  Print a brief help message and exits.
--man
  Prints the manual page and exits.
--debug|-d
  Override debugging setting in global config; implies --nofork.
--nofork|-n
  Keep application in foreground instead of daemonizing.

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR

This document was created by man2html, using the manual pages.
Time: 20:34:28 GMT, January 29, 2026